pragma solidity >=0.6.12;

// Author:	Louis Holbrook <dev@holbrook.no> 0826EDA1702D1E87C6E2875121D2E7BB88C2A746
// SPDX-License-Identifier:	GPL-3.0-or-later
// File-version: 2


interface Faucet {
	event FaucetUsed(address indexed _recipient, address indexed _token, uint256 _value);
	event FaucetFail(address indexed _recipient, address indexed _token, uint256 _value);

	function amount() external view returns (uint256);
	function token() external view returns (address);
	function setAmount(uint256 _amount) external returns (bool);
	function giveTo(address _recipient) external returns (bool);
}
